#' rdecision: Decision Analytic Modelling in Health Economics.
#'
#' The goal of `rdecision` is to provide methods for assessing health care 
#' interventions using cohort models (decision trees and semi-Markov models) 
#' which can be constructed using only a few lines of R code. Mechanisms
#' are provided for associating an uncertainty distribution with each source 
#' variable and for ensuring transparency of the mathematical relationships 
#' between
#' variables. The package terminology follows Briggs \emph{et al} "Decision 
#' Modelling for Health Economic Evaluation" (2006, ISBN:978-0-19-852662-9).
#'
#' @docType package
#' @name rdecision
#' @import grid
#' @import R6
#' @import rlang
#' @import stats
#' @import utils
#' 
NULL
